Milton Dependencies


Core required dependencies. For a normal Webdav implementation these are the only dependencies:
   commons-beanutils:commons-beanutils:jar:1.8.2:compile
   commons-codec:commons-codec:jar:1.5:compile
   commons-collections:commons-collections:jar:3.2.1:compile
   commons-fileupload:commons-fileupload:jar:1.2.1:compile
   commons-io:commons-io:jar:1.4:compile
   commons-lang:commons-lang:jar:2.5:compile
   commons-logging:commons-logging:jar:1.1.1:compile
   commons-pool:commons-pool:jar:1.5.5:compile
   org.jdom:jdom:jar:1.1:compile (Apache2 license with acknowledgement clause removed, see http://www.jdom.org/docs/faq.html#a0030)
   org.slf4j:slf4j-api:jar:1.5.8:compile (MIT license, http://slf4j.org/license.html)

Only required for Webdav/AJAX integration:
   net.sf.ezmorph:ezmorph:jar:1.0.6:compile
   net.sf.json-lib:json-lib:jar:jdk15:2.4:compile (not apache licensed, see http://www.json.org/license.html)


Only required if using the Spring MVC framework:
   org.simpleframework:simple:jar:4.1.21:compile
   org.springframework:spring:jar:2.5.6:compile
   org.springframework:spring-beans:jar:2.5.6:compile
   org.springframework:spring-context:jar:2.5.6:compile
   org.springframework:spring-context-support:jar:2.5.6:compile
   org.springframework:spring-core:jar:2.5.6:compile
   org.springframework:spring-web:jar:2.5.6:compile
   org.springframework:spring-webmvc:jar:2.5.6:compile
   aopalliance:aopalliance:jar:1.0:compile

Only required for FTP integration:
   org.apache.ftpserver:ftplet-api:jar:1.0.1:compile
   org.apache.ftpserver:ftpserver-core:jar:1.0.1:compile
   org.apache.mina:mina-core:jar:2.0.0-M4:compile


Only required if using milton's email server framework:
   org.subethamail:subethasmtp-smtp:jar:1.2:compile
   org.apache.mina:mina-core:jar:2.0.0-M4:compile
   dnsjava:dnsjava:jar:2.0.8:compile
   javax.activation:activation:jar:1.1:compile
   javax.mail:mail:jar:1.4.2:compile
   io.milton:aspirin:jar:0.10.03.02:compile (milton fork of the aspirin project)

Only required if using milton's DNS server framework:
   dnsjava:dnsjava:jar:2.0.8:compile

Only required if running in Google App Engine:
   com.google:appengine-api:jar:1.3.0:compile